Subject: bug#62109: closed (Re: bug#62109: 29.0.60; rust-ts-mode missing indentation for patterns)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Mar 2023 23:54:02 +0000

Your bug report

#62109: 29.0.60; rust-ts-mode missing indentation for patterns

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62109: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62109
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62109: 29.0.60; rust-ts-mode missing indentation for patterns
From: Yuan Fu <[email-masked]>
To: Randy Taylor <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 Mar 2023 15:53:21 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Mar 10, 2023, at 6:04 PM, Randy Taylor <[email-masked]> wrote:
> 
> On Friday, March 10th, 2023 at 21:03, Randy Taylor <[email-masked]> wrote:
>> 
>> On Friday, March 10th, 2023 at 17:32, Yuan Fu [email-masked] wrote:
>> 
>>> X-Debbugs-CC: [email-masked]
>>> 
>>> Try this snippet:
>>> 
>>> fn main() {
>>> match &cli.command {
>>> Commands::Run {
>>> a,
>>> b,
>>> c,
>>> d,
>>> } => todo!(),
>>> 
>>> }
>>> }
>>> 
>>> The a, b, c, d don’t have corresponding indentation rules. I can add
>>> some myself, but I’m not sure where to add and what’s the best rule to
>>> add.
>>> 
>>> Yuan
>> 
>> 
>> Thanks for the report, I've attached a patch fixing it.
> 
> Sorry, forgot to include the bug #. Same patch with the bug # this time!
> 

Brilliant, thanks! I applied it.

Yuan

Subject: 29.0.60; rust-ts-mode missing indentation for patterns
From: Yuan Fu <[email-masked]>
To: Bug Report Emacs <[email-masked]>
Date: Fri, 10 Mar 2023 14:32:42 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-CC: [email-masked]

Try this snippet:

fn main() {
    match &cli.command {
        Commands::Run {
a,
b,
c,
d,
        } => todo!(),
    }
}

The a, b, c, d don’t have corresponding indentation rules. I can add
some myself, but I’m not sure where to add and what’s the best rule to
add.

Yuan